#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		name1		%(echo %{name} | cut -d '-' -f2)
%define		name2		%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	python-trove-classifiers
Version		:	2023.11.29
Release		:	17.0.10.rel%{?dist}
Summary		:	Canonical source for classifiers on PyPI.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/pypa/trove-classifiers
			#https://pypi.org/project/trove-classifiers/

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}

BuildArch	:	noarch

Requires	:	%{__python}

Provides	:	%{sname}
#-----------------------------------------------------------------------------
%description
Classifiers categorize projects per PEP 301.
Use this package to validate classifiers in
packages for PyPI upload or download.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python3_sitelib}/%{name1}_%{name2}/py.typed
%{python3_sitelib}/%{name1}_%{name2}/*.py
%{python3_sitelib}/%{name1}_%{name2}/__pycache__/*.pyc
%{python3_sitelib}/%{name1}_%{name2}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#to set project version accordingly
cat >> pyproject.toml << EOF

[project]
name = "%{sname}"
version = "%{version}"

EOF

#removing setup.py is mandatory
rm setup.py
#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
